<template>
  <div class="page-root">
    <v-list two-line>
      <card-list-item v-for="card in cards" :key="card.id" :id="card.id"/>
    </v-list>

    <!-- Speed Dial -->
    <v-speed-dial fixed bottom right v-model="speedDial">
      <v-btn dark fab title="Actions" slot="activator" v-model="speedDial" color="blue">
        <v-icon>mdi-card-text</v-icon>
        <v-icon>mdi-close</v-icon>
      </v-btn>

      <!-- Add credits button -->
      <v-btn
        fab
        dark
        small
        color="green"
        title="Add Credits"
        @click="$refs.addCreditsDialog.open()"
      >
        <v-icon>mdi-cash</v-icon>
      </v-btn>

      <!-- Clear credits button -->
      <v-btn fab dark small color="red" title="Empty Card" @click="$refs.emptyCardDialog.open()">
        <v-icon>mdi-close</v-icon>
      </v-btn>
    </v-speed-dial>

    <add-credits-to-card-dialog ref="addCreditsDialog"/>
    <empty-card-dialog ref="emptyCardDialog"/>
  </div>
</template>

<script>
import gql from "graphql-tag";
import CardListItem from "@/components/list-items/CardListItem";
import AddCreditsToCardDialog from "@/components/dialogs/AddCreditsToCardDialog";
import EmptyCardDialog from "@/components/dialogs/EmptyCardDialog";

export default {
  name: "cards-page",
  components: { CardListItem, AddCreditsToCardDialog, EmptyCardDialog },
  data() {
    return { speedDial: false, cards: [] };
  },
  apollo: {
    cards: {
      query: gql`
        query {
          cards: listCards {
            id
          }
        }
      `,
      subscribeToMore: {
        document: gql`
          subscription {
            cards: listCards {
              id
            }
          }
        `
      }
    }
  }
};
</script>

<style lang="scss">
</style>

